sugar-chat-activity (86-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * build-depend on python-dbus
  * declare compliance with Debian Policy 4.5.0
  * (build-)depend on python3 modules (not python);
    build-depend on dh-python;
    closes: bug#938585, thanks to Matthias Klose
  * use debhelper compatibility level 10 (not 9)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Apr 2020 14:11:26 +0200

sugar-chat-activity (85-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Simplify rules.
  * Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.3.0.
  * Update Vcs-* URLs: Maintenance moved to Salsa.
  * Set Rules-Requires-Root: no.
  * Depend on gir1.2-telepathyglib-0.12 (not python-telepathy).
  * Update copyright info:
    + Use https protocol in alternate Source URL.
    + Strip superfluous copyright signs.
    + Extend coverage of packaging.
  * Update watch file:
    + Simplify regular expressions.
    + Rewrite usage comment.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Mar 2019 21:20:18 +0100

sugar-chat-activity (84-2) unstable; urgency=medium

  * Fix Vcs-Git path.
  * Tighten lintian overrides regarding License-Reference.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Aug 2017 18:09:42 +0200

sugar-chat-activity (84-1) unstable; urgency=medium

  [ upstream ]
  * New release:
    + New translations.
    + Updated POT file.
    + Fix version warnings from Python GI API.

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
      Relax to build-depend unversioned on cdbs.
      Stop build-depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Drop obsolete lintian override regarding debhelper 9.
  * Fix rename locale ibo→ig: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Aug 2017 23:25:44 +0200

sugar-chat-activity (83-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Highlights:
    + Fix fail to quit.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Update URLs to reflect new Github home.
    + Extend coverage of main authors.
    + Extend coverage for Debian packaging.
  * Update watch file:
    + Bump to file format 4.
    + Watch github (not sugarlabs.org).
    + Mention gbp --uscan in usage comment.
  * Have git-buildpackage filter any .git* file.
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize CDBS use:
    + Skip wav files from copyright checking.
    + Generalize resolving build-dependency on python.
    + Extract png files for copyright checking.
    + Tighten build-Dependency on cdbs.
    + Build-depend on licensecheck (not devscripts).
    + Build-depend on libregexp-assemble-perl libimage-exiftool-perl
      libfont-ttf-perl.
  * Stop rename aym locale: Dropped upstream.
  * Fix broken paths in desktop file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Dec 2016 16:46:28 +0100

sugar-chat-activity (81-4) unstable; urgency=medium

  * Relax watch file to cover any compression suffix.
  * Update package relations:
    + Fix recommend gstreamer1.0-plugins-base.
  * Fix rename locale aym→ay: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jul 2015 14:34:37 +0200

sugar-chat-activity (81-3) unstable; urgency=medium

  * Modernize short and long description.
  * Update package relations:
    + Fix recommend gstreamer1.0-plugins-good: Needed to parse WAV
      files.
  * Bump debhelper compatibility level to 9.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Jun 2015 13:35:06 -0500

sugar-chat-activity (81-2) unstable; urgency=medium

  * Update package relations: Fix recommend evtest.
  * Move packaging to Debian Sugar Team.
  * Modernize short and long description.
  * Update Homepage.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 21:12:13 +0200

sugar-chat-activity (81-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update Vcs-Git field to use canonical URL.
  * Update Vcs-Browser field to use cgit and https.
  * Declare compliance with Debian Policy 3.9.6.
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Update copyright info:
    + Update alternate git source URL.
    + Extend coverage for myself.
    + Relicense packaging as GPL-3+.
    + Extend coverage for upstream authors.
    + Fix LGPL-3 License section.
    + Fix stupid restrictions on machine-readable copyright format.
    + Fix avoid mentioning CC-BY-SA-3.0 license.
  * Bump dephelper compatibility level to 8.
  * Wrap and sort Uploaders and package relations fields.
  * Modernize cdbs: Use per-package binary package relation variables.
  * Relax build-dependencies on python and cdbs.
  * Suppress copyright checking audio files.
  * Update package relations:
    + Fix depend explicitly on python.
    + (Build-)depend on python-sugar3 (not python-sugar-* or
      python-sugar-toolkit-*).
    + Stop depend on python-cjson.
    + Depend on GIR bindings glib-2.0 gtk-3.0 gdkpixbuf-2.0 pango-1.0
      rsvg-2.0 and on librsvg2-common (not python-gtk2).
    + Recommend on GIR binding gstreamer-1.0 (not sugar-*).
  * Drop branch suffix from package name.
  * Use future cdbs 0.5 compatible python version resolving.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Apr 2015 02:06:12 +0200

sugar-chat-activity-0.86 (76-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Use Python helper python2 (not python-central).
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Modernize long description, based on upstream wiki phrases.
  * Bump debhelper compatibility level to 7.
  * Update copyright file:
    + Rewrite using format 1.0.
    + Extend copyright of Debian packaging to cover recent years.
    + Add a couple new copyright holders.
    + Mention LGPL-3 licensed icons.
  * Update package relations:
    + Tighten build-dependency on cdbs and python: Needed for python2
      helper.
    + Stop build-depending on python-central: No longer used.
    + Relax build-depend unversioned on debhelper and devscripts: Needed
      versions satisfied even in oldstable.
    + Stop depending on python-hippocanvas: No longer used.
  * Drop obsolete l10n patch.
  * Add 0.96 as supported branch, and drop 0.86 (no longer in Debian).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 19:59:19 +0200

sugar-chat-activity-0.86 (68-1) unstable; urgency=low

  * New upstream release.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.
  * Shorten control file Vcs-* fields.
  * Bump Policy compliance to standards-version 3.9.1.
  * Update README.source to not mention quilt: Source format 3.0 use it
    internally, but there it is standard and thus need no mention here.
  * Refer to FSF website (not postal address) in rules file licensing
    header.
  * Suppress unneeded auto-resolved build-dependency on python-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Oct 2010 01:06:48 +0200

sugar-chat-activity-0.86 (66-3) unstable; urgency=low

  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Refresh patch.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Include debhelper.mk (do not rely on python-sugar.mk including it).
  * Bump standards-version to 3.8.4.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust years for debian/*.
  * Extend coverage to 0.88 branch.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 23:24:21 +0200

sugar-chat-activity-0.86 (66-2) unstable; urgency=low

  * Update CDBS snippets:
    + Fix copyright years.
    + Fix use underscore (not dash) for internal variables.
    + Fix build-depend unversioned on python-sugar-toolkit, to allow
      branched packages.
    + Fix include branched activities in python-sugar.mk.
    + Build-depend branched/unbranched on python-sugar-toolkit based on
      new variable DEB_SUGAR_BRANCHES in python-sugar.mk.
  * Fix build-depend on branched python-sugar-toolkit.
  * Update debian/copyright: Adjust copyright years.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2009 12:08:59 +0200

sugar-chat-activity-0.86 (66-1) unstable; urgency=low

  * New upstream development release.
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Fix double build-dependency on cdbs.
  * Update patch 1001 to merge with new virtually empty upstream PO
    file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Sep 2009 22:33:10 +0200

sugar-chat-activity-0.84 (65-2) unstable; urgency=low

  * Add note on OLPC origin in long description.
  * Update debian/control format to DEP5 rev54.
  * Bump up policy compliance to standards version 3.8.3.
  * Append major version (0.84) to binary and source package.
  * Provide, conflict with and replace unbranched package.
  * Set versioned upstream and debian branches in gbp.conf.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Sep 2009 21:03:51 +0200

sugar-chat-activity (65-1) unstable; urgency=low

  * New upstream release.
  * Update dependencies:
    + Handle binary (not only source) dependencies in rules file
    + Tighten Sugar-related dependencies to 0.84 branch
    + Depend on python-cjson
  * Add README.source (and drop CDBS hints and README.packaging).
  * Update CDBS snippets:
    + Minor updates to buildinfo.mk and copyright-check.mk
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones)
    + Extend package-relation.mk to handle debhelper 6 and 7.0.1
    + Internal rewrite of upstream-tarball.mk
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Use sugarlabs.org (not laptop.org) as upstream URLs.
  * Update debian/copyright:
    + Rewrite to use DEP5 r48 proposed machine-readable format
    + Fix copyright years
  * Bump policy compliance to Standards-Version 3.8.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 May 2009 12:48:40 +0200

sugar-chat-activity (48-2) unstable; urgency=low

  * Adjust upstream source in debian/copyright and in watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2008 04:06:54 +0100

sugar-chat-activity (48-1) unstable; urgency=low

  * New Upstream Version
  * Depend on ${misc:Depends}.
  * Update local CDBS snippets:
    + python-sugar.mk: Install into right path. Closes: bug#507326.
    + python-sugar.mk: Install as non-localized activity name.
    + python-sugar.mk: Dynamically update locale entries in MANIFEST.
  * Semi-auto-update debian/control to tighten build-dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2008 03:15:19 +0100

sugar-chat-activity (45-1) unstable; urgency=low

  * New upstream release.
  * Install setup.py again (does no harm, and simplifies our rules).
  * Update cdbs snippets:
    + Move dependency cleanup to new local snippet package-relations.mk.
    + Update copyright-check output to more closely match proposed new
      copyright file format.  Update copyright-hints.
    + Update README.cdbs-tweaks.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Aug 2008 21:48:48 +0200

sugar-chat-activity (41-1) unstable; urgency=low

  * New upstream release.
  * Fix upstream URL in debian/copyright to point to Chat (not Journal).
  * Update local cdbs snippets:
    + Fix python-sugar.mk to work with recent python-sugar-toolkit where
      MANIFEST files are ignored and an internal hardcoded exception
      list is used instead.  Tighten build-dependency.  Drop use of (now
      irrelevant) DEB_PYTHON_SUGAR_MANIFEST.
    + Relax copyright-check to only warn about its discoveries.  Closes:
      bug#486961.
  * Update debian/copyright-hints.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Jun 2008 19:42:34 +0200

sugar-chat-activity (40-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 0001 applied upstream.
  * Fix upstream URL in watch file.
  * Update debian/copyright:
    + Add URL to upstream tarball source.
    + Use exact URL for upstream Git source.
    + Reorganize to only mention each license once.
  * Update local cdbs snippets:
    + Use upstream-tarball.mk to track upstream source releases.
    + Adjust dependency cleanup (upstream-tarball.mk needs newer cdbs).
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Jun 2008 13:28:57 +0200

sugar-chat-activity (37~git-6) unstable; urgency=low

  * Update cdbs tweaks:
    + Relax python-sugar-toolkit build-dependency in python-sugar.mk to
      ease backports.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Apr 2008 01:19:38 +0200

sugar-chat-activity (37~git-5) unstable; urgency=low

  * Update cdbs tweaks:
    + Clean *.xo and locale in python-sugar.mk (based on initial work by
      Santiago Ruano Rincón).
    + Fix preserve upstream MANIFEST files only once in python-sugar.mk.
    + Support multiple activity packages from one source in
      python-sugar.mk.
    + Tighten python-sugar.mk build-dependency on python-sugar-toolkit
      to versions properly installing zip-based bundles (*.xo files).
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Apr 2008 16:58:23 +0200

sugar-chat-activity (37~git-4) unstable; urgency=low

  * Update cdbs tweaks:
    + Update copyright-check cdbs snippet to store newline-delimited
      hints and strip any non-printable characters.  Update
      copyright-hints.
    + Drop wget options broken with recent versions of wget in
      update-tarball.mk.
  * Bump debhelper compatibility level to version 6.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Apr 2008 09:40:55 +0200

sugar-chat-activity (37~git-3) unstable; urgency=low

  * Updated patch 1001 (danish locale).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Apr 2008 12:07:24 +0200

sugar-chat-activity (37~git-2) unstable; urgency=low

  * Avoid installing setup.py.
  * Update local cdbs snippets:
    + Use full path in python-sugar.mk, and tighten python-sugar-toolkit
      build-dependency to at least 0.79.2 changing this.
    + Fix simultanously setting DEB_PYTHON_SUGAR_MANIFEST and
      DEB_PYTHON_SUGAR_MANIFEST_REGEX in python-sugar.mk.
    + Relax python-central and python-support build-dependencies in
      python-sugar.mk.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Apr 2008 21:27:09 +0200

sugar-chat-activity (37~git-1) unstable; urgency=low

  * New upstream (Git-based) release.
    Highlights:
    + UI Change: Merge multiple sequential messages from same author
    + Updated translation: ar
    + Fix RTL message alignment
    This is first official release. Closes: bug#444021.
  * Add patch 0001 to sync with upstream Git as of today.
    Highlights:
    + Updated translation: zh_TW

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Apr 2008 18:32:50 +0200

sugar-chat-activity (35~git.20080326-1) UNRELEASED; urgency=low

  * Initial release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Mar 2008 16:24:39 +0100
